<?php
/**
 * Plugin Name: Profile Builder - Hide Userlisting Until Search is Performed
 * Plugin URI: https://www.cozmoslabs.com/docs/profile-builder-2/developers-knowledge-base/userlisting/hide-userlisting-until-search-is-performed/
 * Description: Hides the Userlisting if there is no search query being performed.
 * Version: 1.0
 * Author: Cozmoslabs, Georgian Cocora
 * Author URI: https://www.cozmoslabs.com/
 * License: GPL
 */

/*  Copyright YEAR  PLUGIN_AUTHOR_NAME  (email : PLUGIN AUTHOR EMAIL)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
add_action('wp_footer', 'wppbc_hide_userlisting_if_no_parameters');
function wppbc_hide_userlisting_if_no_parameters() {
    global $wppb_userlisting_shortcode;

	if ( $wppb_userlisting_shortcode && !isset( $_REQUEST['searchFor'] ) ) {
		$display = false;

		foreach ( $_REQUEST as $k => $v ) {

			if ( strpos( $k, 'ul_filter') !== false )
				$display = true;
		}

		if ( !$display )
			echo '<style>.wppb-table, .userlisting_pagination { display: none; }</style>';
	}
}
